<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__i2s__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_i2s_config_t</compoundname>
    <includes local="no">cy_i2s.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__i2s__config__t_1ae8ca5293003aa3425e04539009983b1f" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::txEnabled</definition>
        <argsstring />
        <name>txEnabled</name>
        <briefdescription>
<para>Enables the I2S TX component: 'false': disabled. </para>        </briefdescription>
        <detaileddescription>
<para>'true': enabled. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="323" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="323" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1ad64295a93c1741f430b572eb0a402ede" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxEnabled</definition>
        <argsstring />
        <name>rxEnabled</name>
        <briefdescription>
<para>Enables the I2S RX component: 'false': disabled. </para>        </briefdescription>
        <detaileddescription>
<para>'true': enabled. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="324" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="324" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a92218e90b918ad769b857376fd322f3b" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::txDmaTrigger</definition>
        <argsstring />
        <name>txDmaTrigger</name>
        <briefdescription>
<para>'false': TX DMA trigger disabled, 'true': TX DMA trigger enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="325" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="325" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a665012e429f01ec28f34eeb4aa1879c9" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxDmaTrigger</definition>
        <argsstring />
        <name>rxDmaTrigger</name>
        <briefdescription>
<para>'false': RX DMA trigger disabled, 'true': RX DMA trigger enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="326" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="326" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1ac207745366dbc76ad317e3e9ef30a231" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_i2s_config_t::clkDiv</definition>
        <argsstring />
        <name>clkDiv</name>
        <briefdescription>
<para>CLK_SEL divider: 1: Bypass, 2: 1/2, 3: 1/3, ..., 64: 1/64. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="327" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="327" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a4b3e4ecb0a2da20efdba370dc8696534" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::extClk</definition>
        <argsstring />
        <name>extClk</name>
        <briefdescription>
<para>'false': internal clock, 'true': external clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="328" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="328" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1affb22af190ce98c200f23fec3dcad294" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::txMasterMode</definition>
        <argsstring />
        <name>txMasterMode</name>
        <briefdescription>
<para>'false': TX in slave mode, 'true': TX in master mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="329" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a5f3d11cd3e68da381d548c3a98b52e36" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1gac2ba15c8dab8fc0c422ab369992636f5">cy_en_i2s_alignment_t</ref></type>
        <definition>cy_en_i2s_alignment_t cy_stc_i2s_config_t::txAlignment</definition>
        <argsstring />
        <name>txAlignment</name>
        <briefdescription>
<para>TX data alignment, see: <ref kindref="member" refid="group__group__i2s__enums_1gac2ba15c8dab8fc0c422ab369992636f5">cy_en_i2s_alignment_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="330" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="330" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1ac57fdc45c9e083bcac17e1ca847f6015" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1ga265f4e0f0d40f96b383a91aab3215f79">cy_en_i2s_ws_pw_t</ref></type>
        <definition>cy_en_i2s_ws_pw_t cy_stc_i2s_config_t::txWsPulseWidth</definition>
        <argsstring />
        <name>txWsPulseWidth</name>
        <briefdescription>
<para>TX Word Select pulse width. </para>        </briefdescription>
        <detaileddescription>
<para>The value of this parameter is ignored in I2S and Left Justified modes the WS pulse width is always "one channel length" in these modes. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="331" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="331" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a54bd9fc3bd281f932228198aa943cc9e" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::txWatchdogEnable</definition>
        <argsstring />
        <name>txWatchdogEnable</name>
        <briefdescription>
<para>'false': TX watchdog disabled, 'true': TX watchdog enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="334" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="334" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a10cc840e19829c3e2cdc97a30ff34f64" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_i2s_config_t::txWatchdogValue</definition>
        <argsstring />
        <name>txWatchdogValue</name>
        <briefdescription>
<para>TX watchdog counter value (32 bit). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="335" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="335" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a7fba051342abb74bf11d42973ef7f34e" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::txSdoLatchingTime</definition>
        <argsstring />
        <name>txSdoLatchingTime</name>
        <briefdescription>
<para>'false': SDO bit starts at falling edge (accordingly to the I2S Standard, if txSckoInversion is false), 'true': SDO bit starts at rising edge which goes before the above mentioned falling edge, i.e. </para>        </briefdescription>
        <detaileddescription>
<para>the SDO signal is advanced by 0.5 SCK period (if txSckoInversion is false). If txSckoInversion is true - the rising/falling edges just swaps in above explanations. Effective only in slave mode, must be false in master mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="336" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="336" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a7beded187a0628a3fb8e279e3216e5ab" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::txSckoInversion</definition>
        <argsstring />
        <name>txSckoInversion</name>
        <briefdescription>
<para>TX SCKO polarity: 'false': When transmitter is in master mode, serial data is transmitted off the falling bit clock edge (accordingly to the I2S Standard); 'true': When transmitter is in master mode, serial data is transmitted off the rising bit clock edge. </para>        </briefdescription>
        <detaileddescription>
<para>Effective only in master mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="344" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="344" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1aa3424ecb0bdcc37376ab78f3732c9ba9" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::txSckiInversion</definition>
        <argsstring />
        <name>txSckiInversion</name>
        <briefdescription>
<para>TX SCKI polarity: 'false': When transmitter is in slave mode, serial data is transmitted off the falling bit clock edge (accordingly to the I2S Standard); 'true': When transmitter is in slave mode, serial data is transmitted off the rising bit clock edge. </para>        </briefdescription>
        <detaileddescription>
<para>Effective only in slave mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="351" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="351" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1ad805d382b09d9bdb91c923f874ae0b37" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_i2s_config_t::txChannels</definition>
        <argsstring />
        <name>txChannels</name>
        <briefdescription>
<para>Number of TX channels, valid range is 1...8 for TDM modes. </para>        </briefdescription>
        <detaileddescription>
<para>In the I2S and Left Justified modes the value of this parameter is ignored - the real number of channels is always 2 in these modes. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="358" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a703d047350ed1d0f1f953afc3a865ee6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref></type>
        <definition>cy_en_i2s_len_t cy_stc_i2s_config_t::txChannelLength</definition>
        <argsstring />
        <name>txChannelLength</name>
        <briefdescription>
<para>TX channel length, see <ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref>, the value of this parameter is ignored in TDM modes, the real channel length is 32 bit in these modes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="361" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="361" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1aadfece214c934881a93cb49090b31aeb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref></type>
        <definition>cy_en_i2s_len_t cy_stc_i2s_config_t::txWordLength</definition>
        <argsstring />
        <name>txWordLength</name>
        <briefdescription>
<para>TX word length, see <ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref>, must be less or equal to txChannelLength. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="364" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="364" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a78b11b9c26fe6e733f639ae22339d1df" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1gace34f02636657f8a8f1290fcbc5acfa6">cy_en_i2s_overhead_t</ref></type>
        <definition>cy_en_i2s_overhead_t cy_stc_i2s_config_t::txOverheadValue</definition>
        <argsstring />
        <name>txOverheadValue</name>
        <briefdescription>
<para>TX overhead bits value when the word length is less than the channel length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="366" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="366" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1aea3ab9716a65392148d0d72c6566c200" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_i2s_config_t::txFifoTriggerLevel</definition>
        <argsstring />
        <name>txFifoTriggerLevel</name>
        <briefdescription>
<para>TX FIFO interrupt trigger level (0, 1, ..., 255). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="368" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="368" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1ab294c0a490bef99f8160e3210c3e364d" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxMasterMode</definition>
        <argsstring />
        <name>rxMasterMode</name>
        <briefdescription>
<para>'false': RX in slave mode, 'true': RX in master mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="369" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="369" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a9357093696a0b9836a743e9b265dab4b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1gac2ba15c8dab8fc0c422ab369992636f5">cy_en_i2s_alignment_t</ref></type>
        <definition>cy_en_i2s_alignment_t cy_stc_i2s_config_t::rxAlignment</definition>
        <argsstring />
        <name>rxAlignment</name>
        <briefdescription>
<para>RX data alignment, see: <ref kindref="member" refid="group__group__i2s__enums_1gac2ba15c8dab8fc0c422ab369992636f5">cy_en_i2s_alignment_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="370" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="370" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a1a68d16581b84a75a1272a467efb185b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1ga265f4e0f0d40f96b383a91aab3215f79">cy_en_i2s_ws_pw_t</ref></type>
        <definition>cy_en_i2s_ws_pw_t cy_stc_i2s_config_t::rxWsPulseWidth</definition>
        <argsstring />
        <name>rxWsPulseWidth</name>
        <briefdescription>
<para>RX Word Select pulse width. </para>        </briefdescription>
        <detaileddescription>
<para>The value of this parameter is ignored in I2S and Left Justified modes the WS pulse width is always "one channel length" in these modes. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="371" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="371" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a6cfbaa5285dcb6884dcff3c660719f67" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxWatchdogEnable</definition>
        <argsstring />
        <name>rxWatchdogEnable</name>
        <briefdescription>
<para>'false': RX watchdog disabled, 'true': RX watchdog enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="374" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="374" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1ad7d2c281ce7a33143060b87e8747bc87" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_i2s_config_t::rxWatchdogValue</definition>
        <argsstring />
        <name>rxWatchdogValue</name>
        <briefdescription>
<para>RX watchdog counter value (32 bit). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="375" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="375" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a90bf0e2ed57f80d21401ff1ffb1ab255" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxSdiLatchingTime</definition>
        <argsstring />
        <name>rxSdiLatchingTime</name>
        <briefdescription>
<para>'false': SDI bit starts at falling edge (accordingly to the I2S Standard if rxSckoInversion is false), 'true': SDI bit starts at rising edge that goes after the above mentioned falling edge, i.e. </para>        </briefdescription>
        <detaileddescription>
<para>the SDI signal is delayed by 0.5 SCK period (if rxSckoInversion is false). If rxSckoInversion is true - the rising/falling edges just swaps in above explanations. Effective only in master mode, must be false in slave mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="376" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="376" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a3e1fd9c47933fafb97f2a5db7c17a124" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxSckoInversion</definition>
        <argsstring />
        <name>rxSckoInversion</name>
        <briefdescription>
<para>RX SCKO polarity: 'false': When receiver is in master mode, serial data is captured by the rising bit clock edge (accordingly to the I2S Standard); 'true': When receiver is in master mode, serial data is captured by the falling bit clock edge. </para>        </briefdescription>
        <detaileddescription>
<para>Effective only in master mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="384" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="384" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1aae28c44edbb22ae19829f618d4ca63e2" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxSckiInversion</definition>
        <argsstring />
        <name>rxSckiInversion</name>
        <briefdescription>
<para>RX SCKI polarity: 'false': When receiver is in slave mode, serial data is captured by the rising bit clock edge (accordingly to the I2S Standard); 'true': When receiver is in slave mode, serial data is captured by the falling bit clock edge. </para>        </briefdescription>
        <detaileddescription>
<para>Effective only in slave mode. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="391" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="391" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a8fef75cbb357474afc343319c494d6ba" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_i2s_config_t::rxChannels</definition>
        <argsstring />
        <name>rxChannels</name>
        <briefdescription>
<para>Number of RX channels, valid range is 1...8 for TDM modes. </para>        </briefdescription>
        <detaileddescription>
<para>In the I2S and Left Justified modes the value of this parameter is ignored - the real number of channels is always 2 in these modes. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="398" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="398" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a07159a66943e174da0fe8399b1c92ecf" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref></type>
        <definition>cy_en_i2s_len_t cy_stc_i2s_config_t::rxChannelLength</definition>
        <argsstring />
        <name>rxChannelLength</name>
        <briefdescription>
<para>RX channel length, see <ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref>, the value of this parameter is ignored in TDM modes, the real channel length is 32 bit in these modes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="401" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="401" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a86d1bba1ff1b263a56a34676a02f33a5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref></type>
        <definition>cy_en_i2s_len_t cy_stc_i2s_config_t::rxWordLength</definition>
        <argsstring />
        <name>rxWordLength</name>
        <briefdescription>
<para>RX word length, see <ref kindref="member" refid="group__group__i2s__enums_1ga23a77f23cf018c0a0ca3874a0709a630">cy_en_i2s_len_t</ref>, must be less or equal to rxChannelLength. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="404" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="404" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a32ee6420329993e3409942dec1073102" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_i2s_config_t::rxSignExtension</definition>
        <argsstring />
        <name>rxSignExtension</name>
        <briefdescription>
<para>RX value sign extension (when the word length is less than 32 bits), 'false': all MSB are filled by zeroes, 'true': all MSB are filled by the original sign bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="406" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="406" />
      </memberdef>
      <memberdef id="structcy__stc__i2s__config__t_1a1121d3c9611fc8d4e1cc81a90a2d9e51" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_i2s_config_t::rxFifoTriggerLevel</definition>
        <argsstring />
        <name>rxFifoTriggerLevel</name>
        <briefdescription>
<para>RX FIFO interrupt trigger level (0, 1, ..., (255 - (number of channels))). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="409" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="409" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>I2S initialization configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="411" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" bodystart="321" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_i2s.h" line="322" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__i2s__config__t_1ac207745366dbc76ad317e3e9ef30a231" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>clkDiv</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a4b3e4ecb0a2da20efdba370dc8696534" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>extClk</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a9357093696a0b9836a743e9b265dab4b" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxAlignment</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a07159a66943e174da0fe8399b1c92ecf" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxChannelLength</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a8fef75cbb357474afc343319c494d6ba" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxChannels</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a665012e429f01ec28f34eeb4aa1879c9" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxDmaTrigger</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1ad64295a93c1741f430b572eb0a402ede" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxEnabled</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a1121d3c9611fc8d4e1cc81a90a2d9e51" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxFifoTriggerLevel</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1ab294c0a490bef99f8160e3210c3e364d" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxMasterMode</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1aae28c44edbb22ae19829f618d4ca63e2" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxSckiInversion</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a3e1fd9c47933fafb97f2a5db7c17a124" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxSckoInversion</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a90bf0e2ed57f80d21401ff1ffb1ab255" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxSdiLatchingTime</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a32ee6420329993e3409942dec1073102" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxSignExtension</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a6cfbaa5285dcb6884dcff3c660719f67" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxWatchdogEnable</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1ad7d2c281ce7a33143060b87e8747bc87" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxWatchdogValue</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a86d1bba1ff1b263a56a34676a02f33a5" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxWordLength</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a1a68d16581b84a75a1272a467efb185b" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>rxWsPulseWidth</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a5f3d11cd3e68da381d548c3a98b52e36" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txAlignment</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a703d047350ed1d0f1f953afc3a865ee6" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txChannelLength</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1ad805d382b09d9bdb91c923f874ae0b37" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txChannels</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a92218e90b918ad769b857376fd322f3b" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txDmaTrigger</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1ae8ca5293003aa3425e04539009983b1f" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txEnabled</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1aea3ab9716a65392148d0d72c6566c200" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txFifoTriggerLevel</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1affb22af190ce98c200f23fec3dcad294" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txMasterMode</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a78b11b9c26fe6e733f639ae22339d1df" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txOverheadValue</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1aa3424ecb0bdcc37376ab78f3732c9ba9" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txSckiInversion</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a7beded187a0628a3fb8e279e3216e5ab" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txSckoInversion</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a7fba051342abb74bf11d42973ef7f34e" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txSdoLatchingTime</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a54bd9fc3bd281f932228198aa943cc9e" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txWatchdogEnable</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1a10cc840e19829c3e2cdc97a30ff34f64" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txWatchdogValue</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1aadfece214c934881a93cb49090b31aeb" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txWordLength</name></member>
      <member prot="public" refid="structcy__stc__i2s__config__t_1ac57fdc45c9e083bcac17e1ca847f6015" virt="non-virtual"><scope>cy_stc_i2s_config_t</scope><name>txWsPulseWidth</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>